Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK OCSP Java API Reference 10g Release 3 (10.1.3) B25375-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.ocsp
Class OCSPResponse.RespStatus

`java.lang.Object
oracle.security.crypto.ocsp.OCSPResponse.RespStatus`

Enclosing class:
  OCSPResponse

public static class OCSPResponse.RespStatus
extends java.lang.Object

Implementation of the response status code of an OCSPResponse.

Field Summary
`static OCSPResponse.RespStatus` | `INTERNAL_ERROR`
`static OCSPResponse.RespStatus` | `MALFORMED_REQUEST`
`static OCSPResponse.RespStatus` | `SIG_REQUIRED`
`static OCSPResponse.RespStatus` | `SUCCESSFUL`
`static OCSPResponse.RespStatus` | `TRY_LATER`
`static OCSPResponse.RespStatus` | `UNAUTHORIZED`

Method Summary
`int` | `getValue()` Returns the numerical value of this response status code (as defined in RFC 2560).
`java.lang.String` | `toString()` Returns a brief description of this status object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SUCCESSFUL

    public static final OCSPResponse.RespStatus SUCCESSFUL

### MALFORMED_REQUEST

    public static final OCSPResponse.RespStatus MALFORMED_REQUEST

### INTERNAL_ERROR

    public static final OCSPResponse.RespStatus INTERNAL_ERROR

### TRY_LATER

    public static final OCSPResponse.RespStatus TRY_LATER

### SIG_REQUIRED

    public static final OCSPResponse.RespStatus SIG_REQUIRED

### UNAUTHORIZED

    public static final OCSPResponse.RespStatus UNAUTHORIZED

Method Detail

### getValue

    public int getValue()

  Returns the numerical value of this response status code (as defined in RFC 2560).

### toString

    public java.lang.String toString()

  Returns a brief description of this status object.
  Returns:
    A String describing this object.

Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK OCSP Java API Reference 10g Release 3 (10.1.3) B25375-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.